com.genesyslab.wfm7.API.service.adherence712

## Class AdhAgentStateHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.adherence712.AdhAgentStateHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhAgentStateHolder
      extends java.lang.Object
      implements java.io.Serializable

  `AdhAgentState` record holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp` Response timestamp value
    `private AdhAgentState[]` | `wmAgentStates` An array of `AdhAgentState` records
    `private int` | `wmAgentStatesNSizeIs` Number of elements in wmAgentStates array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhAgentStateHolder()`
    `AdhAgentStateHolder(int wmAgentStatesNSizeIs, AdhAgentState[] wmAgentStates, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this AdhAgentStateHolder.
    `AdhAgentState[]` | `getWmAgentStates()` Gets the wmAgentStates value for this AdhAgentStateHolder.
    `int` | `getWmAgentStatesNSizeIs()` Gets the wmAgentStatesNSizeIs value for this AdhAgentStateHolder.
    `int` | `hashCode()`
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this AdhAgentStateHolder.
    `void` | `setWmAgentStates(AdhAgentState[] wmAgentStates)` Sets the wmAgentStates value for this AdhAgentStateHolder.
    `void` | `setWmAgentStatesNSizeIs(int wmAgentStatesNSizeIs)` Sets the wmAgentStatesNSizeIs value for this AdhAgentStateHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmAgentStatesNSizeIs

          private int wmAgentStatesNSizeIs

      Number of elements in wmAgentStates array

    - #### wmAgentStates

          private AdhAgentState[] wmAgentStates

      An array of `AdhAgentState` records

    - #### timestamp

          private long timestamp

      Response timestamp value

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### AdhAgentStateHolder

          public AdhAgentStateHolder()

    - #### AdhAgentStateHolder

          public AdhAgentStateHolder(int wmAgentStatesNSizeIs,
                             AdhAgentState[] wmAgentStates,
                             long timestamp)

  - ### Method Detail

    - #### getWmAgentStatesNSizeIs

          public int getWmAgentStatesNSizeIs()

      Gets the wmAgentStatesNSizeIs value for this AdhAgentStateHolder.
      Returns:
        wmAgentStatesNSizeIs

    - #### setWmAgentStatesNSizeIs

          public void setWmAgentStatesNSizeIs(int wmAgentStatesNSizeIs)

      Sets the wmAgentStatesNSizeIs value for this AdhAgentStateHolder.
      Parameters:
        `wmAgentStatesNSizeIs` -

    - #### getWmAgentStates

          public AdhAgentState[] getWmAgentStates()

      Gets the wmAgentStates value for this AdhAgentStateHolder.
      Returns:
        wmAgentStates

    - #### setWmAgentStates

          public void setWmAgentStates(AdhAgentState[] wmAgentStates)

      Sets the wmAgentStates value for this AdhAgentStateHolder.
      Parameters:
        `wmAgentStates` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this AdhAgentStateHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this AdhAgentStateHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.